<?php

//---------------------------------------------------------
//财付通即时到帐支付应答（处理回调）示例，商户按照此文档进行开发即可
//---------------------------------------------------------
include "inc.php";
require_once SYS_ROOT.'/cls_tab/tab.pay.type.php';
$obj_tab_type=new cls_tab_pay_type;
$base_dir=$obj_tab_type->api_dir;

$arr_config=$obj_tab_type->get_type_fields("tenpay");
require_once ($base_dir."/tenpay/classes/PayResponseHandler.class.php");
/* 创建支付应答对象 */
$resHandler = new PayResponseHandler();
$resHandler->setKey($arr_config["key"]);

//判断签名
if($resHandler->isTenpaySign()) {
	//交易单号
	$transaction_id = $resHandler->getParameter("transaction_id");
	//金额,以分为单位
	$total_fee = $resHandler->getParameter("total_fee");
	//支付结果
	$pay_result = $resHandler->getParameter("pay_result");
	if( "0" == $pay_result ) {
		//------------------------------
		//处理业务开始
		//------------------------------
		$arr_pay_return=array(
			"pay_id"=>$transaction_id,
			"pay_money"=>$total_fee
		);
		$obj_tab_type->on_pay_ok($arr_pay_return);
		//注意交易单不要重复处理
		//注意判断返回金额
		
		//------------------------------
		//处理业务完毕
		//------------------------------	
		
		//调用doShow, 打印meta值跟js代码,告诉财付通处理成功,并在用户浏览器显示$show页面.
		$show = $obj_tab_type->pay_ok_url;
		$resHandler->doShow($show);
	} else {
		//当做不成功处理
		echo "<br/>" . "支付失败" . "<br/>";
		set_log("tenpay","支付失败",array(),true);
	}
	
} else {
	echo "<br/>" . "认证签名失败" . "<br/>";
		set_log("tenpay","认证签名失败",array(),true);
}

?>